Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Array tests
Declare which test methods should be run in which order
Methods
cleanup()
Called after tests have finished. This method will be called regarless whether the test succeeded or failed.
testImageFilter(methodName)
Helper method to test jala.ImageFilter. The argument specifies the desired method which will be applied to a source image. Then, the result is compared with a corresponding reference image which was created by the same method beforehand. Because comparing binary images is generally questionable, test errors do not necessarily mean there are flaws in the Jala code but of course can hint changes in the underlying Java code.
parameters

| methodName |

testSharpen()
A simple test of the sharpen method of jala.ImageFilter.
testUnsharpMask()
A simple test of the unsharpMask method of jala.ImageFilter.
testGaussianBlur()
A simple test of the gaussianBlur method of jala.ImageFilter.
Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar